#include <iostream>

using namespace std;

int main()
{
   int n,k;
   cin>>n;
   int a[n];
   for(int i=0; i<n; i++)
       cin>>a[i];
   if(n==2)
   {
    int pom=a[0];
   a[0]=a[1];
   a[1]=pom;
   }
   else
   { k=0;
   int x=0;
       for(int i=0; i<n-1; i++)
       {
           for(int j=i+1; j<n; j++)
             {
                 if(a[i]<a[j]&&a[j]>a[x])
                 {
                     x=j;
                     k=1;
                 }
                 else
                 {
                     if(a[i]<a[j]&&a[j]==a[x]&&x<j)
                        x=j;
                        k=1;
                 }
             }
             if(k==1)
             {
                 int pom=a[i];
                a[i]=a[x];
                a[x]=pom;
                break;
           }
       }
   }
   for(int i=0; i<n; i++)
       cout<<a[i]<<" ";

}